:root {
    --grid: 8px;
    --v-shelf: 64px;
    --h-shelf: 128px;
}
@font-face {
    font-family: monocraft;
    src: url("assets/Monocraft.otf");
    }

body {
    background-image: url("assets/mc-bookshelf.png");
    background-repeat: repeat;
    background-size: 128px;
    position: relative;
    font-family: Monocraft;
    margin-bottom: 16px;
}


body::before {
  content: "";
  position: fixed;
  inset: 0;
  background: radial-gradient(rgb(0, 0, 0, 0) 0%, rgb(0, 0, 0) 100%);
  pointer-events: none;
  z-index: 0;
}

.shelf, .desk, .display {
    display:flex;
    position: absolute;
    z-index: 1;
    align-items: center;
    justify-content: center;

}

.shelf {
    color:white;
    text-shadow: 2px 2px 10px black;
    background: 
        radial-gradient(rgb(0, 0, 0, 0) 0%, rgb(0, 0, 0, .75) 100%),
        url("assets/mc-oak.png");
}
.desk {
    background: 
        radial-gradient(rgb(0, 0, 0, 0) 0%, rgb(0, 0, 0, .75) 100%),
        url("assets/mc-spruce.png");
    display:flex;
    flex-wrap: wrap;
    overflow:auto;
}

.display{
        background: 
        radial-gradient(rgb(0, 0, 0, 0) 0%, rgb(0, 0, 0, .75) 100%),
        url("assets/mc-spruce.png");
}

.shelf:hover{
    background:
        radial-gradient(rgb(0, 0, 0, 0) 0%, rgb(0, 0, 0, .5) 100%),
        url("assets/mc-oak.png");
    color:yellow
}

.title {
    text-align: center;
    font-size: 48px;
}

.calendar{
  display:grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  width: 90%;
  margin: auto;
  padding-top: 20px;
  column-gap: 20px;
  color:#434854;
  font-weight: bold;
}

.calendar_item{
    display: flex;
    align-items: center;
    justify-content: center;
    background: url('assets/mc-book.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 200px;
}

.calendar_text{
    text-align: center;
}